This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 213115 - NetworkManager should support more options for TTLS (e.g. the choice of secondary authentication method)
NetworkManager should support more options for TTLS (e.g. the choice of secon...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 16:06 EST by Pavel Polischouk
Modified: 2008-05-06 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Polischouk 2006-10-30 16:06:29 EST
Description of problem:
EAP-TTLS supports various secondary auth schemes. In NM, once TTLS is selected,
there's no choice of secondary auth method (PAP, CHAP, MS-CHAP, etc.) and its
parameters. The same screen is re-used for TLS and TTLS, instead of letting the
user to completely specify the parameters of tunneled auth method.

Version-Release number of selected component (if applicable):  0.6.4-5.fc6


How reproducible: Always


Steps to Reproduce: 
1. Click on NM applet
2. Add network
3. Enter ESSID, select WPA ENTERPRISE
4. Select TTLS

  
Actual results:
No choice for secondary auth method. Presents both TLS and TTLS parameters (auth
private key for TLS AND login/password for TTLS) on the same screen.

Expected results:
Should present TTLS-specific parameters including the choice of secondary
authentication method and its parameters (scheme-specific). The config screen
should also be cleaned up to disable the entry of unrelated (TLS) parameters.
Comment 1 Bug Zapper 2008-04-04 00:16:57 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:38:06 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.